"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findEditionAddress = exports.findMetadataAddress = exports.findMigrationState = void 0;
const web3_js_1 = require("@solana/web3.js");
const generated_1 = require("../../src/generated");
const mpl_token_metadata_1 = require("@metaplex-foundation/mpl-token-metadata");
function findMigrationState(collectionMint) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from('migration'), collectionMint.toBuffer()], generated_1.PROGRAM_ID)[0];
}
exports.findMigrationState = findMigrationState;
function findMetadataAddress(collectionMint) {
    return web3_js_1.PublicKey.findProgramAddressSync([Buffer.from('metadata'), mpl_token_metadata_1.PROGRAM_ID.toBuffer(), collectionMint.toBuffer()], mpl_token_metadata_1.PROGRAM_ID)[0];
}
exports.findMetadataAddress = findMetadataAddress;
function findEditionAddress(collectionMint) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from('metadata'),
        mpl_token_metadata_1.PROGRAM_ID.toBuffer(),
        collectionMint.toBuffer(),
        Buffer.from('edition'),
    ], mpl_token_metadata_1.PROGRAM_ID)[0];
}
exports.findEditionAddress = findEditionAddress;
//# sourceMappingURL=pdas.js.map