/// <reference types="node" />
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
import * as beet from '@metaplex-foundation/beet';
export type CollectionInfoArgs = {
    authority: web3.PublicKey;
    mint: web3.PublicKey;
    ruleSet: web3.PublicKey;
    delegateRecord: web3.PublicKey;
    size: number;
};
export declare class CollectionInfo implements CollectionInfoArgs {
    readonly authority: web3.PublicKey;
    readonly mint: web3.PublicKey;
    readonly ruleSet: web3.PublicKey;
    readonly delegateRecord: web3.PublicKey;
    readonly size: number;
    private constructor();
    static fromArgs(args: CollectionInfoArgs): CollectionInfo;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [CollectionInfo, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey, commitmentOrConfig?: web3.Commitment | web3.GetAccountInfoConfig): Promise<CollectionInfo>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        authority: any;
        mint: any;
        ruleSet: any;
        delegateRecord: any;
        size: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [CollectionInfo, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        authority: string;
        mint: string;
        ruleSet: string;
        delegateRecord: string;
        size: number;
    };
}
export declare const collectionInfoBeet: beet.BeetStruct<CollectionInfo, CollectionInfoArgs>;
