"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectionInfoBeet = exports.CollectionInfo = void 0;
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const beet = __importStar(require("@metaplex-foundation/beet"));
class CollectionInfo {
    constructor(authority, mint, ruleSet, delegateRecord, size) {
        this.authority = authority;
        this.mint = mint;
        this.ruleSet = ruleSet;
        this.delegateRecord = delegateRecord;
        this.size = size;
    }
    static fromArgs(args) {
        return new CollectionInfo(args.authority, args.mint, args.ruleSet, args.delegateRecord, args.size);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return CollectionInfo.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address, commitmentOrConfig) {
        const accountInfo = await connection.getAccountInfo(address, commitmentOrConfig);
        if (accountInfo == null) {
            throw new Error(`Unable to find CollectionInfo account at ${address}`);
        }
        return CollectionInfo.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('migrxZFChTqicHpNa1CAjPcF29Mui2JU2q4Ym7qQUTi')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.collectionInfoBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.collectionInfoBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.collectionInfoBeet.serialize(this);
    }
    static get byteSize() {
        return exports.collectionInfoBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(CollectionInfo.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === CollectionInfo.byteSize;
    }
    pretty() {
        return {
            authority: this.authority.toBase58(),
            mint: this.mint.toBase58(),
            ruleSet: this.ruleSet.toBase58(),
            delegateRecord: this.delegateRecord.toBase58(),
            size: this.size,
        };
    }
}
exports.CollectionInfo = CollectionInfo;
exports.collectionInfoBeet = new beet.BeetStruct([
    ['authority', beetSolana.publicKey],
    ['mint', beetSolana.publicKey],
    ['ruleSet', beetSolana.publicKey],
    ['delegateRecord', beetSolana.publicKey],
    ['size', beet.u32],
], CollectionInfo.fromArgs, 'CollectionInfo');
//# sourceMappingURL=CollectionInfo.js.map