"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrationStateBeet = exports.MigrationState = void 0;
const web3 = __importStar(require("@solana/web3.js"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const CollectionInfo_1 = require("./CollectionInfo");
const UnlockMethod_1 = require("../types/UnlockMethod");
const MigrationStatus_1 = require("./MigrationStatus");
class MigrationState {
    constructor(collectionInfo, unlockMethod, status) {
        this.collectionInfo = collectionInfo;
        this.unlockMethod = unlockMethod;
        this.status = status;
    }
    static fromArgs(args) {
        return new MigrationState(args.collectionInfo, args.unlockMethod, args.status);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return MigrationState.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address, commitmentOrConfig) {
        const accountInfo = await connection.getAccountInfo(address, commitmentOrConfig);
        if (accountInfo == null) {
            throw new Error(`Unable to find MigrationState account at ${address}`);
        }
        return MigrationState.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('migrxZFChTqicHpNa1CAjPcF29Mui2JU2q4Ym7qQUTi')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.migrationStateBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.migrationStateBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.migrationStateBeet.serialize(this);
    }
    static get byteSize() {
        return exports.migrationStateBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(MigrationState.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === MigrationState.byteSize;
    }
    pretty() {
        return {
            collectionInfo: this.collectionInfo,
            unlockMethod: 'UnlockMethod.' + UnlockMethod_1.UnlockMethod[this.unlockMethod],
            status: this.status,
        };
    }
}
exports.MigrationState = MigrationState;
exports.migrationStateBeet = new beet.BeetStruct([
    ['collectionInfo', CollectionInfo_1.collectionInfoBeet],
    ['unlockMethod', UnlockMethod_1.unlockMethodBeet],
    ['status', MigrationStatus_1.migrationStatusBeet],
], MigrationState.fromArgs, 'MigrationState');
//# sourceMappingURL=MigrationState.js.map