/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
export type MigrationStatusArgs = {
    unlockTime: beet.bignum;
    isLocked: boolean;
    inProgress: boolean;
    itemsMigrated: number;
};
export declare class MigrationStatus implements MigrationStatusArgs {
    readonly unlockTime: beet.bignum;
    readonly isLocked: boolean;
    readonly inProgress: boolean;
    readonly itemsMigrated: number;
    private constructor();
    static fromArgs(args: MigrationStatusArgs): MigrationStatus;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [MigrationStatus, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey, commitmentOrConfig?: web3.Commitment | web3.GetAccountInfoConfig): Promise<MigrationStatus>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        unlockTime: any;
        isLocked: any;
        inProgress: any;
        itemsMigrated: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [MigrationStatus, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        unlockTime: number | {
            toNumber: () => number;
        };
        isLocked: boolean;
        inProgress: boolean;
        itemsMigrated: number;
    };
}
export declare const migrationStatusBeet: beet.BeetStruct<MigrationStatus, MigrationStatusArgs>;
