"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.migrationStatusBeet = exports.MigrationStatus = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
class MigrationStatus {
    constructor(unlockTime, isLocked, inProgress, itemsMigrated) {
        this.unlockTime = unlockTime;
        this.isLocked = isLocked;
        this.inProgress = inProgress;
        this.itemsMigrated = itemsMigrated;
    }
    static fromArgs(args) {
        return new MigrationStatus(args.unlockTime, args.isLocked, args.inProgress, args.itemsMigrated);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return MigrationStatus.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address, commitmentOrConfig) {
        const accountInfo = await connection.getAccountInfo(address, commitmentOrConfig);
        if (accountInfo == null) {
            throw new Error(`Unable to find MigrationStatus account at ${address}`);
        }
        return MigrationStatus.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('migrxZFChTqicHpNa1CAjPcF29Mui2JU2q4Ym7qQUTi')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.migrationStatusBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.migrationStatusBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.migrationStatusBeet.serialize(this);
    }
    static get byteSize() {
        return exports.migrationStatusBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(MigrationStatus.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === MigrationStatus.byteSize;
    }
    pretty() {
        return {
            unlockTime: (() => {
                const x = this.unlockTime;
                if (typeof x.toNumber === 'function') {
                    try {
                        return x.toNumber();
                    }
                    catch (_) {
                        return x;
                    }
                }
                return x;
            })(),
            isLocked: this.isLocked,
            inProgress: this.inProgress,
            itemsMigrated: this.itemsMigrated,
        };
    }
}
exports.MigrationStatus = MigrationStatus;
exports.migrationStatusBeet = new beet.BeetStruct([
    ['unlockTime', beet.i64],
    ['isLocked', beet.bool],
    ['inProgress', beet.bool],
    ['itemsMigrated', beet.u32],
], MigrationStatus.fromArgs, 'MigrationStatus');
//# sourceMappingURL=MigrationStatus.js.map