/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
export type ProgramSignerArgs = {
    bump: number;
};
export declare class ProgramSigner implements ProgramSignerArgs {
    readonly bump: number;
    private constructor();
    static fromArgs(args: ProgramSignerArgs): ProgramSigner;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [ProgramSigner, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey, commitmentOrConfig?: web3.Commitment | web3.GetAccountInfoConfig): Promise<ProgramSigner>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        bump: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [ProgramSigner, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        bump: number;
    };
}
export declare const programSignerBeet: beet.BeetStruct<ProgramSigner, ProgramSignerArgs>;
