"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.programSignerBeet = exports.ProgramSigner = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
class ProgramSigner {
    constructor(bump) {
        this.bump = bump;
    }
    static fromArgs(args) {
        return new ProgramSigner(args.bump);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return ProgramSigner.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address, commitmentOrConfig) {
        const accountInfo = await connection.getAccountInfo(address, commitmentOrConfig);
        if (accountInfo == null) {
            throw new Error(`Unable to find ProgramSigner account at ${address}`);
        }
        return ProgramSigner.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('migrxZFChTqicHpNa1CAjPcF29Mui2JU2q4Ym7qQUTi')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.programSignerBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.programSignerBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.programSignerBeet.serialize(this);
    }
    static get byteSize() {
        return exports.programSignerBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(ProgramSigner.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === ProgramSigner.byteSize;
    }
    pretty() {
        return {
            bump: this.bump,
        };
    }
}
exports.ProgramSigner = ProgramSigner;
exports.programSignerBeet = new beet.BeetStruct([['bump', beet.u8]], ProgramSigner.fromArgs, 'ProgramSigner');
//# sourceMappingURL=ProgramSigner.js.map