type ErrorWithCode = Error & {
    code: number;
};
type MaybeErrorWithCode = ErrorWithCode | null | undefined;
export declare class OverflowError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidInstructionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NoRuleSetError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class FeatureDisabledError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidUnlockMethodError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MigrationInProgressError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MigrationAlreadyCompletedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class AlreadyInitializedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MigrationLockedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ImmutableMetadataError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectFreezeAuthorityError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectTokenStandardError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ImmutableProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MetadataMintMistmatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenMintMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CollectionMintMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidAuthorityError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CollectionNotFoundError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NotCollectionMemberError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidTokenStandardError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MissingTokenStandardError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidMetadataDerivationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidEditionDerivationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidMigrationStateDerivationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidSignerDerivationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidDelegateRecordDerivationError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidDelegateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectMetadataProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectMintProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectMigrationStateProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectDelegateRecordProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class TokenOwnerMismatchError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectTokenOwnerProgramOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class IncorrectTokenOwnerProgramBufferError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidMetadataError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidMigrationStateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class EmptyMigrationStateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ZeroedMigrationStateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidProgramSignerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class EmptyProgramSignerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidUpgradeableLoaderStateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidRuleSetError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare function errorFromCode(code: number): MaybeErrorWithCode;
export declare function errorFromName(name: string): MaybeErrorWithCode;
export {};
