"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorFromName = exports.errorFromCode = exports.InvalidRuleSetError = exports.InvalidUpgradeableLoaderStateError = exports.EmptyProgramSignerError = exports.InvalidProgramSignerError = exports.ZeroedMigrationStateError = exports.EmptyMigrationStateError = exports.InvalidMigrationStateError = exports.InvalidMetadataError = exports.IncorrectTokenOwnerProgramBufferError = exports.IncorrectTokenOwnerProgramOwnerError = exports.TokenOwnerMismatchError = exports.IncorrectDelegateRecordProgramOwnerError = exports.IncorrectMigrationStateProgramOwnerError = exports.IncorrectMintProgramOwnerError = exports.IncorrectMetadataProgramOwnerError = exports.InvalidDelegateError = exports.InvalidDelegateRecordDerivationError = exports.InvalidSignerDerivationError = exports.InvalidMigrationStateDerivationError = exports.InvalidEditionDerivationError = exports.InvalidMetadataDerivationError = exports.MissingTokenStandardError = exports.InvalidTokenStandardError = exports.NotCollectionMemberError = exports.CollectionNotFoundError = exports.InvalidAuthorityError = exports.CollectionMintMismatchError = exports.TokenMintMismatchError = exports.MetadataMintMistmatchError = exports.ImmutableProgramOwnerError = exports.IncorrectTokenStandardError = exports.IncorrectFreezeAuthorityError = exports.ImmutableMetadataError = exports.MigrationLockedError = exports.AlreadyInitializedError = exports.MigrationAlreadyCompletedError = exports.MigrationInProgressError = exports.InvalidUnlockMethodError = exports.FeatureDisabledError = exports.NoRuleSetError = exports.InvalidInstructionError = exports.OverflowError = void 0;
const createErrorFromCodeLookup = new Map();
const createErrorFromNameLookup = new Map();
class OverflowError extends Error {
    constructor() {
        super('Overflow error');
        this.code = 0x0;
        this.name = 'Overflow';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, OverflowError);
        }
    }
}
exports.OverflowError = OverflowError;
createErrorFromCodeLookup.set(0x0, () => new OverflowError());
createErrorFromNameLookup.set('Overflow', () => new OverflowError());
class InvalidInstructionError extends Error {
    constructor() {
        super('Failed to build Migrate instruction');
        this.code = 0x1;
        this.name = 'InvalidInstruction';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidInstructionError);
        }
    }
}
exports.InvalidInstructionError = InvalidInstructionError;
createErrorFromCodeLookup.set(0x1, () => new InvalidInstructionError());
createErrorFromNameLookup.set('InvalidInstruction', () => new InvalidInstructionError());
class NoRuleSetError extends Error {
    constructor() {
        super('No rule set provided');
        this.code = 0x2;
        this.name = 'NoRuleSet';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NoRuleSetError);
        }
    }
}
exports.NoRuleSetError = NoRuleSetError;
createErrorFromCodeLookup.set(0x2, () => new NoRuleSetError());
createErrorFromNameLookup.set('NoRuleSet', () => new NoRuleSetError());
class FeatureDisabledError extends Error {
    constructor() {
        super('This feature is currently disabled');
        this.code = 0x3;
        this.name = 'FeatureDisabled';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, FeatureDisabledError);
        }
    }
}
exports.FeatureDisabledError = FeatureDisabledError;
createErrorFromCodeLookup.set(0x3, () => new FeatureDisabledError());
createErrorFromNameLookup.set('FeatureDisabled', () => new FeatureDisabledError());
class InvalidUnlockMethodError extends Error {
    constructor() {
        super('Invalid unlock method');
        this.code = 0x4;
        this.name = 'InvalidUnlockMethod';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidUnlockMethodError);
        }
    }
}
exports.InvalidUnlockMethodError = InvalidUnlockMethodError;
createErrorFromCodeLookup.set(0x4, () => new InvalidUnlockMethodError());
createErrorFromNameLookup.set('InvalidUnlockMethod', () => new InvalidUnlockMethodError());
class MigrationInProgressError extends Error {
    constructor() {
        super('Cannot perform this action while migration is in progress');
        this.code = 0x5;
        this.name = 'MigrationInProgress';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MigrationInProgressError);
        }
    }
}
exports.MigrationInProgressError = MigrationInProgressError;
createErrorFromCodeLookup.set(0x5, () => new MigrationInProgressError());
createErrorFromNameLookup.set('MigrationInProgress', () => new MigrationInProgressError());
class MigrationAlreadyCompletedError extends Error {
    constructor() {
        super('Cannot be closed after migration has completed');
        this.code = 0x6;
        this.name = 'MigrationAlreadyCompleted';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MigrationAlreadyCompletedError);
        }
    }
}
exports.MigrationAlreadyCompletedError = MigrationAlreadyCompletedError;
createErrorFromCodeLookup.set(0x6, () => new MigrationAlreadyCompletedError());
createErrorFromNameLookup.set('MigrationAlreadyCompleted', () => new MigrationAlreadyCompletedError());
class AlreadyInitializedError extends Error {
    constructor() {
        super('Program signer is already initialized');
        this.code = 0x7;
        this.name = 'AlreadyInitialized';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, AlreadyInitializedError);
        }
    }
}
exports.AlreadyInitializedError = AlreadyInitializedError;
createErrorFromCodeLookup.set(0x7, () => new AlreadyInitializedError());
createErrorFromNameLookup.set('AlreadyInitialized', () => new AlreadyInitializedError());
class MigrationLockedError extends Error {
    constructor() {
        super('Migration state account is locked');
        this.code = 0x8;
        this.name = 'MigrationLocked';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MigrationLockedError);
        }
    }
}
exports.MigrationLockedError = MigrationLockedError;
createErrorFromCodeLookup.set(0x8, () => new MigrationLockedError());
createErrorFromNameLookup.set('MigrationLocked', () => new MigrationLockedError());
class ImmutableMetadataError extends Error {
    constructor() {
        super('Immutable metadata cannot be migrated');
        this.code = 0x9;
        this.name = 'ImmutableMetadata';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ImmutableMetadataError);
        }
    }
}
exports.ImmutableMetadataError = ImmutableMetadataError;
createErrorFromCodeLookup.set(0x9, () => new ImmutableMetadataError());
createErrorFromNameLookup.set('ImmutableMetadata', () => new ImmutableMetadataError());
class IncorrectFreezeAuthorityError extends Error {
    constructor() {
        super('Incorrect freeze authority');
        this.code = 0xa;
        this.name = 'IncorrectFreezeAuthority';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectFreezeAuthorityError);
        }
    }
}
exports.IncorrectFreezeAuthorityError = IncorrectFreezeAuthorityError;
createErrorFromCodeLookup.set(0xa, () => new IncorrectFreezeAuthorityError());
createErrorFromNameLookup.set('IncorrectFreezeAuthority', () => new IncorrectFreezeAuthorityError());
class IncorrectTokenStandardError extends Error {
    constructor() {
        super('Incorrect token standard: must be NonFungible');
        this.code = 0xb;
        this.name = 'IncorrectTokenStandard';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectTokenStandardError);
        }
    }
}
exports.IncorrectTokenStandardError = IncorrectTokenStandardError;
createErrorFromCodeLookup.set(0xb, () => new IncorrectTokenStandardError());
createErrorFromNameLookup.set('IncorrectTokenStandard', () => new IncorrectTokenStandardError());
class ImmutableProgramOwnerError extends Error {
    constructor() {
        super('Cannot migrate an item owned by an immutable program');
        this.code = 0xc;
        this.name = 'ImmutableProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ImmutableProgramOwnerError);
        }
    }
}
exports.ImmutableProgramOwnerError = ImmutableProgramOwnerError;
createErrorFromCodeLookup.set(0xc, () => new ImmutableProgramOwnerError());
createErrorFromNameLookup.set('ImmutableProgramOwner', () => new ImmutableProgramOwnerError());
class MetadataMintMistmatchError extends Error {
    constructor() {
        super('Metadata does not match mint account');
        this.code = 0xd;
        this.name = 'MetadataMintMistmatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MetadataMintMistmatchError);
        }
    }
}
exports.MetadataMintMistmatchError = MetadataMintMistmatchError;
createErrorFromCodeLookup.set(0xd, () => new MetadataMintMistmatchError());
createErrorFromNameLookup.set('MetadataMintMistmatch', () => new MetadataMintMistmatchError());
class TokenMintMismatchError extends Error {
    constructor() {
        super('Token does not match the mint account');
        this.code = 0xe;
        this.name = 'TokenMintMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenMintMismatchError);
        }
    }
}
exports.TokenMintMismatchError = TokenMintMismatchError;
createErrorFromCodeLookup.set(0xe, () => new TokenMintMismatchError());
createErrorFromNameLookup.set('TokenMintMismatch', () => new TokenMintMismatchError());
class CollectionMintMismatchError extends Error {
    constructor() {
        super('Collection mint does not match stored value');
        this.code = 0xf;
        this.name = 'CollectionMintMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, CollectionMintMismatchError);
        }
    }
}
exports.CollectionMintMismatchError = CollectionMintMismatchError;
createErrorFromCodeLookup.set(0xf, () => new CollectionMintMismatchError());
createErrorFromNameLookup.set('CollectionMintMismatch', () => new CollectionMintMismatchError());
class InvalidAuthorityError extends Error {
    constructor() {
        super('Authority does not match the authority on the account');
        this.code = 0x10;
        this.name = 'InvalidAuthority';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidAuthorityError);
        }
    }
}
exports.InvalidAuthorityError = InvalidAuthorityError;
createErrorFromCodeLookup.set(0x10, () => new InvalidAuthorityError());
createErrorFromNameLookup.set('InvalidAuthority', () => new InvalidAuthorityError());
class CollectionNotFoundError extends Error {
    constructor() {
        super('No collection found on item');
        this.code = 0x11;
        this.name = 'CollectionNotFound';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, CollectionNotFoundError);
        }
    }
}
exports.CollectionNotFoundError = CollectionNotFoundError;
createErrorFromCodeLookup.set(0x11, () => new CollectionNotFoundError());
createErrorFromNameLookup.set('CollectionNotFound', () => new CollectionNotFoundError());
class NotCollectionMemberError extends Error {
    constructor() {
        super('Item is not a verified member of the collection');
        this.code = 0x12;
        this.name = 'NotCollectionMember';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, NotCollectionMemberError);
        }
    }
}
exports.NotCollectionMemberError = NotCollectionMemberError;
createErrorFromCodeLookup.set(0x12, () => new NotCollectionMemberError());
createErrorFromNameLookup.set('NotCollectionMember', () => new NotCollectionMemberError());
class InvalidTokenStandardError extends Error {
    constructor() {
        super('Invalid token standard');
        this.code = 0x13;
        this.name = 'InvalidTokenStandard';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidTokenStandardError);
        }
    }
}
exports.InvalidTokenStandardError = InvalidTokenStandardError;
createErrorFromCodeLookup.set(0x13, () => new InvalidTokenStandardError());
createErrorFromNameLookup.set('InvalidTokenStandard', () => new InvalidTokenStandardError());
class MissingTokenStandardError extends Error {
    constructor() {
        super('Missing token standard');
        this.code = 0x14;
        this.name = 'MissingTokenStandard';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, MissingTokenStandardError);
        }
    }
}
exports.MissingTokenStandardError = MissingTokenStandardError;
createErrorFromCodeLookup.set(0x14, () => new MissingTokenStandardError());
createErrorFromNameLookup.set('MissingTokenStandard', () => new MissingTokenStandardError());
class InvalidMetadataDerivationError extends Error {
    constructor() {
        super('The metadata derivation does not match the mint account');
        this.code = 0x15;
        this.name = 'InvalidMetadataDerivation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidMetadataDerivationError);
        }
    }
}
exports.InvalidMetadataDerivationError = InvalidMetadataDerivationError;
createErrorFromCodeLookup.set(0x15, () => new InvalidMetadataDerivationError());
createErrorFromNameLookup.set('InvalidMetadataDerivation', () => new InvalidMetadataDerivationError());
class InvalidEditionDerivationError extends Error {
    constructor() {
        super('The edition derivation does not match the mint account');
        this.code = 0x16;
        this.name = 'InvalidEditionDerivation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidEditionDerivationError);
        }
    }
}
exports.InvalidEditionDerivationError = InvalidEditionDerivationError;
createErrorFromCodeLookup.set(0x16, () => new InvalidEditionDerivationError());
createErrorFromNameLookup.set('InvalidEditionDerivation', () => new InvalidEditionDerivationError());
class InvalidMigrationStateDerivationError extends Error {
    constructor() {
        super('Migration state account derivation is in correct');
        this.code = 0x17;
        this.name = 'InvalidMigrationStateDerivation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidMigrationStateDerivationError);
        }
    }
}
exports.InvalidMigrationStateDerivationError = InvalidMigrationStateDerivationError;
createErrorFromCodeLookup.set(0x17, () => new InvalidMigrationStateDerivationError());
createErrorFromNameLookup.set('InvalidMigrationStateDerivation', () => new InvalidMigrationStateDerivationError());
class InvalidSignerDerivationError extends Error {
    constructor() {
        super('Program signer account derivation is incorrect');
        this.code = 0x18;
        this.name = 'InvalidSignerDerivation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidSignerDerivationError);
        }
    }
}
exports.InvalidSignerDerivationError = InvalidSignerDerivationError;
createErrorFromCodeLookup.set(0x18, () => new InvalidSignerDerivationError());
createErrorFromNameLookup.set('InvalidSignerDerivation', () => new InvalidSignerDerivationError());
class InvalidDelegateRecordDerivationError extends Error {
    constructor() {
        super('Invalid delegate record derivation');
        this.code = 0x19;
        this.name = 'InvalidDelegateRecordDerivation';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidDelegateRecordDerivationError);
        }
    }
}
exports.InvalidDelegateRecordDerivationError = InvalidDelegateRecordDerivationError;
createErrorFromCodeLookup.set(0x19, () => new InvalidDelegateRecordDerivationError());
createErrorFromNameLookup.set('InvalidDelegateRecordDerivation', () => new InvalidDelegateRecordDerivationError());
class InvalidDelegateError extends Error {
    constructor() {
        super('Invalid delegate');
        this.code = 0x1a;
        this.name = 'InvalidDelegate';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidDelegateError);
        }
    }
}
exports.InvalidDelegateError = InvalidDelegateError;
createErrorFromCodeLookup.set(0x1a, () => new InvalidDelegateError());
createErrorFromNameLookup.set('InvalidDelegate', () => new InvalidDelegateError());
class IncorrectMetadataProgramOwnerError extends Error {
    constructor() {
        super('Incorrect program owner for metadata account');
        this.code = 0x1b;
        this.name = 'IncorrectMetadataProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectMetadataProgramOwnerError);
        }
    }
}
exports.IncorrectMetadataProgramOwnerError = IncorrectMetadataProgramOwnerError;
createErrorFromCodeLookup.set(0x1b, () => new IncorrectMetadataProgramOwnerError());
createErrorFromNameLookup.set('IncorrectMetadataProgramOwner', () => new IncorrectMetadataProgramOwnerError());
class IncorrectMintProgramOwnerError extends Error {
    constructor() {
        super('Incorrect program owner for mint account');
        this.code = 0x1c;
        this.name = 'IncorrectMintProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectMintProgramOwnerError);
        }
    }
}
exports.IncorrectMintProgramOwnerError = IncorrectMintProgramOwnerError;
createErrorFromCodeLookup.set(0x1c, () => new IncorrectMintProgramOwnerError());
createErrorFromNameLookup.set('IncorrectMintProgramOwner', () => new IncorrectMintProgramOwnerError());
class IncorrectMigrationStateProgramOwnerError extends Error {
    constructor() {
        super('Incorrect program owner for migration state account');
        this.code = 0x1d;
        this.name = 'IncorrectMigrationStateProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectMigrationStateProgramOwnerError);
        }
    }
}
exports.IncorrectMigrationStateProgramOwnerError = IncorrectMigrationStateProgramOwnerError;
createErrorFromCodeLookup.set(0x1d, () => new IncorrectMigrationStateProgramOwnerError());
createErrorFromNameLookup.set('IncorrectMigrationStateProgramOwner', () => new IncorrectMigrationStateProgramOwnerError());
class IncorrectDelegateRecordProgramOwnerError extends Error {
    constructor() {
        super('Incorrect program owner for delegate record account');
        this.code = 0x1e;
        this.name = 'IncorrectDelegateRecordProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectDelegateRecordProgramOwnerError);
        }
    }
}
exports.IncorrectDelegateRecordProgramOwnerError = IncorrectDelegateRecordProgramOwnerError;
createErrorFromCodeLookup.set(0x1e, () => new IncorrectDelegateRecordProgramOwnerError());
createErrorFromNameLookup.set('IncorrectDelegateRecordProgramOwner', () => new IncorrectDelegateRecordProgramOwnerError());
class TokenOwnerMismatchError extends Error {
    constructor() {
        super('Incorrect owner for SPL token account');
        this.code = 0x1f;
        this.name = 'TokenOwnerMismatch';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, TokenOwnerMismatchError);
        }
    }
}
exports.TokenOwnerMismatchError = TokenOwnerMismatchError;
createErrorFromCodeLookup.set(0x1f, () => new TokenOwnerMismatchError());
createErrorFromNameLookup.set('TokenOwnerMismatch', () => new TokenOwnerMismatchError());
class IncorrectTokenOwnerProgramOwnerError extends Error {
    constructor() {
        super('Incorrect program owner for token owner account');
        this.code = 0x20;
        this.name = 'IncorrectTokenOwnerProgramOwner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectTokenOwnerProgramOwnerError);
        }
    }
}
exports.IncorrectTokenOwnerProgramOwnerError = IncorrectTokenOwnerProgramOwnerError;
createErrorFromCodeLookup.set(0x20, () => new IncorrectTokenOwnerProgramOwnerError());
createErrorFromNameLookup.set('IncorrectTokenOwnerProgramOwner', () => new IncorrectTokenOwnerProgramOwnerError());
class IncorrectTokenOwnerProgramBufferError extends Error {
    constructor() {
        super('Incorrect program owner for token owner account buffer');
        this.code = 0x21;
        this.name = 'IncorrectTokenOwnerProgramBuffer';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, IncorrectTokenOwnerProgramBufferError);
        }
    }
}
exports.IncorrectTokenOwnerProgramBufferError = IncorrectTokenOwnerProgramBufferError;
createErrorFromCodeLookup.set(0x21, () => new IncorrectTokenOwnerProgramBufferError());
createErrorFromNameLookup.set('IncorrectTokenOwnerProgramBuffer', () => new IncorrectTokenOwnerProgramBufferError());
class InvalidMetadataError extends Error {
    constructor() {
        super('Metadata did not deserialize correctly');
        this.code = 0x22;
        this.name = 'InvalidMetadata';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidMetadataError);
        }
    }
}
exports.InvalidMetadataError = InvalidMetadataError;
createErrorFromCodeLookup.set(0x22, () => new InvalidMetadataError());
createErrorFromNameLookup.set('InvalidMetadata', () => new InvalidMetadataError());
class InvalidMigrationStateError extends Error {
    constructor() {
        super('Migration state did not deserialize correctly');
        this.code = 0x23;
        this.name = 'InvalidMigrationState';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidMigrationStateError);
        }
    }
}
exports.InvalidMigrationStateError = InvalidMigrationStateError;
createErrorFromCodeLookup.set(0x23, () => new InvalidMigrationStateError());
createErrorFromNameLookup.set('InvalidMigrationState', () => new InvalidMigrationStateError());
class EmptyMigrationStateError extends Error {
    constructor() {
        super('Empty migration state account');
        this.code = 0x24;
        this.name = 'EmptyMigrationState';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, EmptyMigrationStateError);
        }
    }
}
exports.EmptyMigrationStateError = EmptyMigrationStateError;
createErrorFromCodeLookup.set(0x24, () => new EmptyMigrationStateError());
createErrorFromNameLookup.set('EmptyMigrationState', () => new EmptyMigrationStateError());
class ZeroedMigrationStateError extends Error {
    constructor() {
        super('Zeroed migration state account');
        this.code = 0x25;
        this.name = 'ZeroedMigrationState';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, ZeroedMigrationStateError);
        }
    }
}
exports.ZeroedMigrationStateError = ZeroedMigrationStateError;
createErrorFromCodeLookup.set(0x25, () => new ZeroedMigrationStateError());
createErrorFromNameLookup.set('ZeroedMigrationState', () => new ZeroedMigrationStateError());
class InvalidProgramSignerError extends Error {
    constructor() {
        super('Program signer did not deserialize correctly');
        this.code = 0x26;
        this.name = 'InvalidProgramSigner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidProgramSignerError);
        }
    }
}
exports.InvalidProgramSignerError = InvalidProgramSignerError;
createErrorFromCodeLookup.set(0x26, () => new InvalidProgramSignerError());
createErrorFromNameLookup.set('InvalidProgramSigner', () => new InvalidProgramSignerError());
class EmptyProgramSignerError extends Error {
    constructor() {
        super('Empty program signer account');
        this.code = 0x27;
        this.name = 'EmptyProgramSigner';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, EmptyProgramSignerError);
        }
    }
}
exports.EmptyProgramSignerError = EmptyProgramSignerError;
createErrorFromCodeLookup.set(0x27, () => new EmptyProgramSignerError());
createErrorFromNameLookup.set('EmptyProgramSigner', () => new EmptyProgramSignerError());
class InvalidUpgradeableLoaderStateError extends Error {
    constructor() {
        super('Failed to deserialize UpgradeableLoaderState');
        this.code = 0x28;
        this.name = 'InvalidUpgradeableLoaderState';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidUpgradeableLoaderStateError);
        }
    }
}
exports.InvalidUpgradeableLoaderStateError = InvalidUpgradeableLoaderStateError;
createErrorFromCodeLookup.set(0x28, () => new InvalidUpgradeableLoaderStateError());
createErrorFromNameLookup.set('InvalidUpgradeableLoaderState', () => new InvalidUpgradeableLoaderStateError());
class InvalidRuleSetError extends Error {
    constructor() {
        super('Authorization rules does not match the rule set stored on the state');
        this.code = 0x29;
        this.name = 'InvalidRuleSet';
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidRuleSetError);
        }
    }
}
exports.InvalidRuleSetError = InvalidRuleSetError;
createErrorFromCodeLookup.set(0x29, () => new InvalidRuleSetError());
createErrorFromNameLookup.set('InvalidRuleSet', () => new InvalidRuleSetError());
function errorFromCode(code) {
    const createError = createErrorFromCodeLookup.get(code);
    return createError != null ? createError() : null;
}
exports.errorFromCode = errorFromCode;
function errorFromName(name) {
    const createError = createErrorFromNameLookup.get(name);
    return createError != null ? createError() : null;
}
exports.errorFromName = errorFromName;
//# sourceMappingURL=index.js.map