import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { InitializeArgs } from '../types/InitializeArgs';
export type InitializeInstructionArgs = {
    initializeArgs: InitializeArgs;
};
export declare const InitializeStruct: beet.FixableBeetArgsStruct<InitializeInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type InitializeInstructionAccounts = {
    payer: web3.PublicKey;
    authority: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    migrationState: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const initializeInstructionDiscriminator = 0;
export declare function createInitializeInstruction(accounts: InitializeInstructionAccounts, args: InitializeInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
