import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const MigrateStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export type MigrateInstructionAccounts = {
    payer: web3.PublicKey;
    itemMint: web3.PublicKey;
    itemMetadata: web3.PublicKey;
    itemEdition: web3.PublicKey;
    itemToken: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    delegateRecord: web3.PublicKey;
    tokenRecord: web3.PublicKey;
    migrationState: web3.PublicKey;
    programSigner: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
    authorizationRulesProgram?: web3.PublicKey;
    authorizationRules?: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
};
export declare const migrateInstructionDiscriminator = 5;
export declare function createMigrateInstruction(accounts: MigrateInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
