import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const StartStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export type StartInstructionAccounts = {
    payer: web3.PublicKey;
    authority: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    delegateRecord: web3.PublicKey;
    migrationState: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
};
export declare const startInstructionDiscriminator = 4;
export declare function createStartInstruction(accounts: StartInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
